public class PeopleCardHoldArea : CardHoldArea
{
    public override bool CanAddCard(Card card)
    {
        return card is PeopleCard && base.CanAddCard(card);
    }

    public override void AddCard(Card card)
    {
        base.AddCard(card);
        productionEfficiency = (float)WorkerCount / MaxWorkerCount;
    }

    public override void RemoveCard(Card card)
    {
        base.RemoveCard(card);
        productionEfficiency = (float)WorkerCount / MaxWorkerCount;
    }

    public int WorkerCount => cards.Count;
    public int MaxWorkerCount => cardSlots.transform.childCount;

    private float productionEfficiency = 0;
    public float ProductionEfficiency => productionEfficiency;
}
